@import 'settings';
@import 'mixins';

// Big circular logo
.CircleLogo {
    overflow: hidden;
    margin: 0;
    top: 0;
    left: 0;
    width: 232px;
    height: 232px;
    transform: translate3d(-48px, -48px, 0) rotate(-45deg);
    border-radius: 50%;
    border-style: solid;
    border-color: transparentize($white, 0.85);
    border-width: 20px;
    will-change: top, left, width, height, border-width, transform;

    > a {
        display: block;
        width: 100%;
        height: 100%;
        border-radius: 50%;
        padding: 20%;
        background: transparentize($white, 0.20);
        transform: translate3d(0, 0, 0);
    }

    svg {
        width: 100%;
        height: 100%;
        transform: translate3d(-13%, -5%, 0);

        path {
            fill: $black;
        }

        .st0,
        .cls-1 {
            fill: $blue;
            transform-origin: 106px 116px;
            // transform: rotateZ(225deg);
        }
    }

    @media #{$tablet-wide-down} {
        top: 0;
        left: 0;
        width: 162px;
        height: 162px;
        border-width: 12px;
        transform: translate3d(-32px, -32px, 0) rotate(-45deg);
    }
}
